Bug 1476565 - Review Request: golang-deepin-dbus-factory - Golang DBus factory for DDE
Review Request: golang-deepin-dbus-factory - Golang DBus factory for DDE
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On: 1476564
Blocks: DeepinDEPackageReview 1476583 1476590
  Show dependency treegraph
 
Reported: 2017-07-30 07:40 EDT by sensor.wen
Modified: 2017-08-25 04:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 3 Robert-André Mauchin 2017-08-23 10:49:26 EDT
Hello,

Could you explain a bit why you package a specific git commit instead of the Release 3.1.7? I understand that you need old files for F25, but why the "new" files aren't coming from the Release?

Also, you need to remove the Group: tag, no needed in Fedora.

It would be nice to change the BR to use pkgconfig, and fix the BR for deepin-go-lib:

BuildRequires:  golang(pkg.deepin.io/lib)
BuildRequires:  deepin-dbus-generator
# For dbus-factory 3.0.6
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5WebKit)
Comment 5 Robert-André Mauchin 2017-08-24 11:02:17 EDT
Don't forget to rename the SPeC file with the correct filename: golang-deepin-dbus-factory.spec

I'm missing deepin-dbus-generator, bug #1476564
Comment 6 Robert-André Mauchin 2017-08-24 12:34:35 EDT
Alo: License is GPLv3+, not GPLv3.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later)", "GPL (v3 or later)", "Unknown or
     generated". 270 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/golang-deepin-dbus-factory
     /review-golang-deepin-dbus-factory/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-deepin-dbus-factory-devel-3.1.7-2.fc26.noarch.rpm
          golang-deepin-dbus-factory-3.1.7-2.fc26.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 7 sensor.wen 2017-08-24 13:30:38 EDT
Diff:  https://github.com/FZUG/repo/commit/09b2c9b68af7164ad4c12a703dffc639e761a6b6

Fix license.
Comment 8 Robert-André Mauchin 2017-08-24 14:04:51 EDT
For me it's good to go. Don't forget to rename the file.

Package accepted.
Comment 9 Gwyn Ciesla 2017-08-24 14:18:35 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-deepin-dbus-factory
Comment 10 Robert-André Mauchin 2017-08-25 03:44:29 EDT
@mosquito: One thing I've missed: You should add a Provides:

Provides:       golang(%{import_path}) = %{version}-%{release}


Otherwise we won't be able to import it in other packages.

Please confirm when you've done it.
Comment 11 Robert-André Mauchin 2017-08-25 04:35:10 EDT
Ignore the comment above, it's all right.

Note You need to log in before you can comment on or make changes to this bug.